Loading...
Searching...
No Matches
QXmppFileUpload::FileResult Class Reference

Contains QXmppFileShare of the uploaded file and possible data blobs containing referenced thumbnails. More...

Collaboration diagram for QXmppFileUpload::FileResult:
[legend]

## Public Attributes

QXmppFileShare | fileShare
| File share with file metadata and file shares of the uploaded file.
QXmppBitsOfBinaryDataList | dataBlobs
| Data blobs of possibly in the metadata referenced thumbnails.

## Detailed Description

Contains QXmppFileShare of the uploaded file and possible data blobs containing referenced thumbnails.

## Member Data Documentation

## dataBlobs

QXmppBitsOfBinaryDataList QXmppFileUpload::FileResult::dataBlobs

Data blobs of possibly in the metadata referenced thumbnails.

The QXmppFileSharingManager may generate file thumbnails.

The documentation for this class was generated from the following files:

- QXmppFileSharingManager.h
- QXmppFileSharingManager.cpp